<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/img_bg">

    <TextView
        android:id="@+id/deviceId"
        android:layout_width="wrap_content"
        android:layout_height="48dp"
        android:layout_marginStart="20dp"
        android:layout_marginTop="20dp"
        android:background="@drawable/shape_back_bg"
        android:gravity="center"
        android:paddingStart="12dp"
        android:paddingEnd="12dp"
        android:textColor="@color/white"
        android:textSize="16sp"
        android:visibility="gone"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:text="设备编号：xxxxxxxxxxx" />

    <TextView
        android:id="@+id/versionName"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:layout_marginBottom="20dp"
        android:paddingTop="12dp"
        android:paddingBottom="12dp"
        android:textColor="#002A78"
        android:textSize="14sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        tools:text="版本号：xxxxxxxxxx" />

    <TextView
        android:id="@+id/copyRight"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginBottom="20dp"
        android:paddingTop="12dp"
android:visibility="gone"
        android:paddingBottom="12dp"
        android:text="@string/copy_right"
        android:textColor="#1A3165"
        android:textSize="14sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:gravity="center_vertical"
        android:orientation="vertical"
        android:padding="16dp"
        app:layout_constraintBottom_toTopOf="@+id/copyRight"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:layout_width="172dp"
            android:layout_height="49dp"
            android:visibility="gone"
            android:layout_gravity="center_horizontal"
            android:contentDescription="@null"
            android:src="@mipmap/img_qdy_zjzn" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="24dp"
            android:text="欢迎使用实验室安全智能监测一体机平台"
            android:textColor="@color/white"
            android:textSize="38sp"
            app:layout_constraintBottom_toBottomOf="@+id/text_check_count"
            app:layout_constraintEnd_toStartOf="@+id/text_check_count"
            app:layout_constraintHorizontal_bias="0.5"
            app:layout_constraintStart_toEndOf="@+id/progressBar2"
            app:layout_constraintTop_toTopOf="@+id/text_check_count" />

        <LinearLayout
            android:id="@+id/line"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="30dp"
            android:visibility="gone"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <ProgressBar
                android:layout_width="30dp"
                android:layout_height="30dp" />

            <TextView
                android:id="@+id/tips"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="20dp"
                android:text="正在登录系统"
                android:textColor="@color/white"
                android:textSize="16sp" />

            <TextView
                android:id="@+id/progress"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="5dp"
                android:textColor="@color/white"
                android:textSize="14sp"
                tools:text="（1%）" />

        </LinearLayout>

    </LinearLayout>

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:background="@drawable/shape_rect_round_10_border"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:padding="16dp"
        android:visibility="gone"
        app:layout_constraintBottom_toTopOf="@+id/copyRight"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ProgressBar
            android:layout_width="40dp"
            android:layout_height="40dp" />

        <TextView
            android:id="@+id/networkInfo"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="20dp"
            android:text="正在检测网络状态"
            android:textColor="@color/black"
            android:textSize="20sp" />

        <TextView
            android:id="@+id/checkCount"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="5dp"
            android:text="（1次）"
            android:textColor="#666666"
            android:textSize="14sp" />

    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>